---
name: AlphaGrowth
version: 1.0.0
description: "Validates email addresses and provides deliverability information"
homepage: https://datalayer.alphagrowth.io/api
metadata: {"seren":{"category":"integration","publisher_slug":"email-checker","api_base":"https://api.serendb.com"}}
---

# AlphaGrowth

Validates email addresses and provides deliverability information

## API Endpoints

### GET `/email/check`

Check if an email address is valid and deliverable

**Query Parameters:**
- `email`: string (required) - The email address to validate

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/email-checker/email/check \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `get_email_check`: Check if an email address is valid and deliverable

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/email-checker/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/email-checker/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_request

- Price per request: $0.00100000

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Validates email addresses and provides deliverability information
